<?php

namespace FiloBlu\Newsletter\Block\Account\Edit;

class AdditionalFields extends \Magento\Framework\View\Element\Template {

    /**
     * Helper
     *
     * @var \FiloBlu\Newsletter\Helper\Data
     */
    public $_helper;
    public $_directoryBlock;
    
     /**
     * @var \Magento\Customer\Model\Session
     */
    public $_customerSession;


    public function __construct(
    \Magento\Framework\View\Element\Template\Context $context, array $data = [], \FiloBlu\Newsletter\Helper\Data $helper, \Magento\Directory\Block\Data $directoryBlock, \Magento\Customer\Model\Session $customerSession
    ) {
        $this->_helper = $helper;
        $this->_directoryBlock = $directoryBlock;
        $this->_customerSession = $customerSession;
        
        parent::__construct($context, $data);
    }

    public function getCountries() {
        $country = $this->_directoryBlock;
        $country->setCountryId($this->_customerSession->getCustomer()->getCountryId());
        return $country->getCountryHtmlSelect();
    }

    protected function _toHtml() {

        if (!$this->_helper->getConfig("general/enabled")) {
            return "";
        } else {
            return parent::_toHtml();
        }
    }

}
